radare ‘store_versioninfo_gnu_verdef()’函数和‘store_versioninfo_gnu_verneed()’函数内存破坏漏洞
发布时间:2017-11-07   录入:启明星辰

Bugtraq ID:

CVE ID:CVE-2017-16357

漏洞发布时间:2017-11-07

漏洞更新时间:2017-11-07

漏洞起因

设计错误

危险等级

影响系统

radare 2.0.1

不受影响系统

危害

远程攻击者可以利用漏洞可使应用程序崩溃。

CVSSv2:

攻击所需条件

应用程序漏洞

漏洞信息

radare是一套用来处理二进制文件的库和工具。

radare libr/bin/format/elf/elf.c文件的‘store_versioninfo_gnu_verdef()’函数和‘store_versioninfo_gnu_verneed()’函数存在内存破坏漏洞,允许远程攻击者可以利用漏洞提交特殊文件,诱使用户解析,可使应用程序崩溃。

厂商解决方案

用户可参考如下厂商提供的安全补丁以修复该漏洞:

https://github.com/radare/radare2/commit/0b973e28166636e0ff1fad80baa0385c9c09c53a

漏洞提供者
vendor

漏洞消息链接
https://github.com/radare/radare2/issues/8742

文章来源:http://www.venustech.com.cn/
  • 公司总部 | 分支机构 | 法律声明 | 投资者关系 | 400-624-3900 800-810-6038
  • © 启明星辰1996-2015 版权所有 京ICP备05032414号 京公网安备11010802024551号